# PFApply

Applies the mathematical function to an array of values.

### Synopsis

    #include "petscpf.h"
    PetscErrorCode PETSCVEC_DLLEXPORT PFApply(PF pf,PetscInt n,PetscScalar* x,PetscScalar* y)

Collective on PF

### Input Parameters

| pf | - the function context
| n | - number of pointwise function evaluations to perform, each pointwise function evaluation is a function of dimin variables and computes dimout variables where dimin and dimout are defined in the call to PFCreate()
| x | - input array

### Output Parameter

y -output array

### Notes

### Keywords

PF, apply

### See Also

PFApplyVec(), PFCreate(), PFDestroy(), PFSetType(), PFSet()

Level:beginner
Location: src/vec/pf/interface/pf.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages